com.genesyslab.wfm7.API.service.config761

## Class CfgProfileHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgProfileHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgContractShort[]` | `contractInfo`
    `private int` | `contractInfoNSizeIs`
    `private CfgProfile[]` | `objectArray`
    `private int` | `objectArrayNSizeIs`
    `private int[]` | `objectIDArray`
    `private int` | `objectIDArrayNSizeIs`
    `private CfgProfileShort[]` | `objectShortArray`
    `private int` | `objectShortArrayNSizeIs`
    `private long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileHolder()`
    `CfgProfileHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgProfile[] objectArray, int objectShortArrayNSizeIs, CfgProfileShort[] objectShortArray, int contractInfoNSizeIs, CfgContractShort[] contractInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgContractShort[]` | `getContractInfo()` Gets the contractInfo value for this CfgProfileHolder.
    `int` | `getContractInfoNSizeIs()` Gets the contractInfoNSizeIs value for this CfgProfileHolder.
    `CfgProfile[]` | `getObjectArray()` Gets the objectArray value for this CfgProfileHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgProfileHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgProfileHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgProfileHolder.
    `CfgProfileShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgProfileHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgProfileHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgProfileHolder.
    `int` | `hashCode()`
    `void` | `setContractInfo(CfgContractShort[] contractInfo)` Sets the contractInfo value for this CfgProfileHolder.
    `void` | `setContractInfoNSizeIs(int contractInfoNSizeIs)` Sets the contractInfoNSizeIs value for this CfgProfileHolder.
    `void` | `setObjectArray(CfgProfile[] objectArray)` Sets the objectArray value for this CfgProfileHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgProfileHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgProfileHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgProfileHolder.
    `void` | `setObjectShortArray(CfgProfileShort[] objectShortArray)` Sets the objectShortArray value for this CfgProfileHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgProfileHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgProfileHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

    - #### objectIDArray

          private int[] objectIDArray

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

    - #### objectArray

          private CfgProfile[] objectArray

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

    - #### objectShortArray

          private CfgProfileShort[] objectShortArray

    - #### contractInfoNSizeIs

          private int contractInfoNSizeIs

    - #### contractInfo

          private CfgContractShort[] contractInfo

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgProfileHolder

          public CfgProfileHolder()

    - #### CfgProfileHolder

          public CfgProfileHolder(int objectIDArrayNSizeIs,
                          int[] objectIDArray,
                          int objectArrayNSizeIs,
                          CfgProfile[] objectArray,
                          int objectShortArrayNSizeIs,
                          CfgProfileShort[] objectShortArray,
                          int contractInfoNSizeIs,
                          CfgContractShort[] contractInfo,
                          long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgProfileHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgProfileHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgProfileHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgProfileHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgProfileHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgProfileHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgProfile[] getObjectArray()

      Gets the objectArray value for this CfgProfileHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgProfile[] objectArray)

      Sets the objectArray value for this CfgProfileHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgProfileHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgProfileHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgProfileShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgProfileHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgProfileShort[] objectShortArray)

      Sets the objectShortArray value for this CfgProfileHolder.
      Parameters:
        `objectShortArray` -

    - #### getContractInfoNSizeIs

          public int getContractInfoNSizeIs()

      Gets the contractInfoNSizeIs value for this CfgProfileHolder.
      Returns:
        contractInfoNSizeIs

    - #### setContractInfoNSizeIs

          public void setContractInfoNSizeIs(int contractInfoNSizeIs)

      Sets the contractInfoNSizeIs value for this CfgProfileHolder.
      Parameters:
        `contractInfoNSizeIs` -

    - #### getContractInfo

          public CfgContractShort[] getContractInfo()

      Gets the contractInfo value for this CfgProfileHolder.
      Returns:
        contractInfo

    - #### setContractInfo

          public void setContractInfo(CfgContractShort[] contractInfo)

      Sets the contractInfo value for this CfgProfileHolder.
      Parameters:
        `contractInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgProfileHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgProfileHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.